/******************************************************
 * File: AbstractWindow.java
 * created 28-Jun-02 2:40:51 PM by root
 */

package techrep;
import java.awt.event.*;

import javax.swing.*;

public class AbstractWindow extends JFrame
{
	public AbstractWindow(String abstr)
	{
		setTitle("Technical Report's Abstract");
		setSize( 500, 300 );
		setResizable( true );
		addWindowListener( new WindowAdapter()
						   {
							public void windowClosing( WindowEvent e)
							{
				  				dispose();
							}
			 			   }
						 );
		txt = new JTextArea(50, 50);
		scroll = new JScrollPane( txt );
		txt.setLineWrap( true );
		txt.setEditable( false );
		txt.setToolTipText("The selected technical report's abstract");
		txt.append( abstr );
		
		getContentPane().add( scroll );
	}
	
	private JTextArea txt;
	private JScrollPane scroll;
}
